For the complete documentation index, see llms.txt. This page is also available as Markdown.

Upload a file

This endpoint allows you to upload logos for user profiles and teams.

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "This endpoint allows you to upload logos for user profiles and teams."

Upload a file

Upload a file

post

This endpoint allows you to upload logos for user profiles and teams.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
teamIdstringRequired

Specifies the unique identifier of the team to which the user belongs to.

managerTeamIdstringOptional

The unique identifier for a retailer-managed team. As a retailer, you can upload logos for user profiles and teams for the supplier team by specifying the managerTeamId. Ensure that API requests are authenticated with the retailer's bearer token.

fileTypestring · enumRequired

Specifies the type of file to be uploaded. The file must be in one of the following formats: jpeg, jpg, or png. Valid upload file types include:

  • FILE_TYPE_USER_LOGO: Logo for user profile.
  • FILE_TYPE_TEAM_LOGO: Logo for team profile.
Possible values:
Body
fileUploadstring · binaryRequired

The file to upload, which must be in jpeg, jpg, or png format.

Responses
200

The logo file has been uploaded successfully.

application/json
fileIdstringOptional

The unique identifier of the uploaded file.

Example: 1ceee624-7c87-4e98-9995-042da2a32525
fileUrlstringOptional

The URL to access the file uploaded.

Example: https://storage.googleapis.com/user_logo/.../path-to-image
post/file-upload
POST /v2/file-upload?teamId=text&fileType=FILE_TYPE_USER_LOGO HTTP/1.1
Host: auth.<env>.citrusad.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 23

{
  "fileUpload": "binary"
}
{
  "fileId": "1ceee624-7c87-4e98-9995-042da2a32525",
  "fileUrl": "https://storage.googleapis.com/user_logo/.../path-to-image"
}